Google Web Toolkit
Search Google Code:

# Interface MouseListener

public interface MouseListener
extends EventListener
// Implemented by `DialogBox`, `MouseListenerAdapter`
Event listener interface for mouse events.

## Methods

onMouseDown(Widget, int, int) | Fired when the user depresses the mouse button over a widget.
onMouseEnter(Widget) | Fired when the mouse enters a widget's area.
onMouseLeave(Widget) | Fired when the mouse leaves a widget's area.
onMouseMove(Widget, int, int) | Fired when the user moves the mouse over a widget.
onMouseUp(Widget, int, int) | Fired when the user releases the mouse button over a widget.

## Method Detail

### onMouseDown

public void onMouseDown(Widget sender, int x, int y)
Fired when the user depresses the mouse button over a widget.

#### Parameters

sender
  the widget sending the event
x
  the x coordinate of the mouse
y
  the y coordinate of the mouse

### onMouseEnter

public void onMouseEnter(Widget sender)
Fired when the mouse enters a widget's area.

#### Parameters

sender
  the widget sending the event

### onMouseLeave

public void onMouseLeave(Widget sender)
Fired when the mouse leaves a widget's area.

#### Parameters

sender
  the widget sending the event

### onMouseMove

public void onMouseMove(Widget sender, int x, int y)
Fired when the user moves the mouse over a widget.

#### Parameters

sender
  the widget sending the event
x
  the x coordinate of the mouse
y
  the y coordinate of the mouse

### onMouseUp

public void onMouseUp(Widget sender, int x, int y)
Fired when the user releases the mouse button over a widget.

#### Parameters

sender
  the widget sending the event
x
  the x coordinate of the mouse
y
  the y coordinate of the mouse